Page 1 of 1

full-calendar

Posted: 06 Dec 2018, 10:02
by Titko
Hello i've been searching for my problem all over the internet and i couldn't find any working solution.

I'm using primeng fullcalendar api. but for some reason i can not use FullCalendarModule from primeng/fullcalendar. It always says Cannot find module 'primeng/fullcalendar'

i'm using angular7

my dependendcies:

"fullcalendar": "^4.0.0-alpha.2",
"intl": "1.2.5",
"jquery": "^3.3.1",
"lodash-es": "^4.17.10",
"minimist": "^1.2.0",
"moment": "^2.22.2",
"ngx-cookie-service": "^2.0.2",
"primeflex": "^1.0.0-rc.1",
"primeicons": "^1.0.0",
"primeng": "^6.1.7",

"styles": [
"node_modules/primeng/resources/primeng.min.css",
"node_modules/quill/dist/quill.snow.css",
"node_modules/font-awesome/css/font-awesome.min.css",
"node_modules/primeicons/primeicons.css",
"src/assets/demo/css/codehighlight.css",
"node_modules/primeflex/primegrid.css",
"node_modules/fullcalendar/dist/fullcalendar.min.css",
"src/styles.scss"
],
"scripts": [
"node_modules/jquery/dist/jquery.min.js",
"node_modules/moment/moment.js",
"node_modules/chart.js/dist/Chart.js",
"node_modules/prismjs/prism.js",
"node_modules/quill/dist/quill.js",
"node_modules/fullcalendar/dist/fullcalendar.min.js"
]


Any help appreciated. Thanks.

Re: full-calendar

Posted: 06 Dec 2018, 14:38
by yigitfindikli
Hi,
Can you install fullcalendar (4.0.0-alpha.2) ?

package.json :

Code: Select all

"dependencies": {
    ...
    "fullcalendar": "4.0.0-alpha.2",
    ...
    }
and run npm install

Code: Select all

npm install
or you can use npm

Code: Select all

npm install fullcalendar@4.0.0-alpha.2

Re: full-calendar

Posted: 06 Dec 2018, 16:20
by Titko
I had it installed.

Problem was i bought california template and primeng was version 4 instead of 7. And they apparently added fullcalendar in 7.0.0 version.

So everything works if you have latest primeng.

Re: full-calendar

Posted: 06 Dec 2018, 16:32
by yigitfindikli
Glad to hear.